Update to new version con Comfortupdate but Http error 500

More
3 years 9 months ago #142136 by francE20
I updated from 257 to 259 version at 08 of August by ComfortUpdate . Every think appered right , but now I am not able to manage partecipants. When I select botton 'Survey Partecipants' I receive this error :
HTTP ERROR 500
Attached file
What can I do? I manage my server, where can I search to solve it?
Francesca
Attachments:
The topic has been locked.
LimeSurvey Partners
More
3 years 9 months ago #142137 by ollehar
Hi,

Can you enable debug = 2 in config.php, and then give us the error message? Thank you.

Olle
The topic has been locked.
More
3 years 9 months ago #142138 by francE20
Hi, I change 'debug'=>2 but I didn't receive further error messages.
Always same page.
I have to restart any job?
Francesca
The topic has been locked.
More
3 years 9 months ago #142139 by ollehar
Hi,

Sounds weird. Please open a bug report and attach survey archive (.lsa file).

Olle
The topic has been locked.
More
3 years 9 months ago #142140 by jelo

francE20 wrote: I updated from 257 to 259 version at 08 of August by ComfortUpdate .

Please post the version and build of LimeSurvey. It's displayed at the bottom of each page. 257 to 259 is the database version.

I remember some issues around accessing survey participants which were resolved in later versions. Six weeks have passed since the 8th of August.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.
More
3 years 9 months ago #142141 by francE20
Hi ,
you are right. I think that it is a security issue. When I used comfortupdate I had to give access write at many directories and files. Then when it finisched I denied access, but now I don't know what it need.
Every survey has thhis issue.
Francesca
The topic has been locked.
More
3 years 9 months ago #142142 by jelo

francE20 wrote: you are right. I think that it is a security issue. When I used comfortupdate I had to give access write at many directories and files. Then when it finisched I denied access, but now I don't know what it need.

I am not the biggest friend of comfortupdate but what you describe sounds more like the first setup was not proper.

You wrote, that you manage the server. The complete server? Or do you have access to a server via ftp/ssh and install and update LimeSurvey?
There might be some issues or security settings with the ownership of the LimeSurvey files. It's then not an bug the LimeSurvey. It a setup issue of webserver and php.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.
More
3 years 9 months ago #142185 by francE20
I am so sorry! I changed wrong file. Now I enable in correct enviroment and this is the error message:

Parse error: syntax error, unexpected '[', expecting ')' in /var/www/limesurvey2/application/controllers/admin/tokens.php on line 287

Francesca
The topic has been locked.
More
3 years 9 months ago #142192 by jelo

francE20 wrote: I am so sorry! I changed wrong file. Now I enable in correct enviroment

As I already wrote, I don't think you should be forced to change files (what did you changed?) to get comfortupdate running.
That looks like a setup issue e.g. user/permissions with server/php are different, if files are uploaded via FTP or updates via Comfortupdater.
As long as you didn't post the version/build of LimeSurvey you're now using it's even hard to look for certain bugs in LimeSurvey.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The topic has been locked.

Start now!

Just create your account and start using Limesurvey today.

Register now